/**
  Toggle
**/

#toggle {
  display: none;
}

/**
  Hamburger
**/

.hamburger {
  position: absolute;
  width: 40px;
  height: 40px;
  /* font-family: "Times New Roman", Times, serif; */
  /* font-family: Arial, Helvetica, sans-serif; */
  /* font-size: calc(10px + 0.390625vw); */
  font-size: 0.7rem;
  /* font-weight: 100 !important; */
  z-index: 991;
}

.hamburger div {
  position: relative;
  width: 3em;
  /* width: calc(2em + 0.390625vw); */
  height: 4px;
  /* height: calc(2px + 0.390625vh); */
  border-radius: 3px;
  background-color: #b8b7b6;
  margin-top: 8px;
  transition: all 0.3s ease-in-out;
}

.hamburger-display-topright{position:absolute;right:5.5vw;top:2.5vh;z-index:991}
/* .hamburger-texteffect{ text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 10px darkblue; } */
/* .hamburger-textfade { */
/*     font-style: italic; */
    /* font-weight: bold; */
/*     -webkit-animation:colorchange 9s ease infinite alternate; */
/* } */

/**
Nav Styles
**/

.nav {
  position: fixed;
  /* position: absolute; */
  /* top: 25px !important; */
  /* top: 14vh !important; */
  top: 9vh !important;
  right: 3.8vw;
  margin-top: 27px;
  margin-right: 1px;
  margin-bottom: 27px;
  margin-left: 1px;
  bottom: 7vh;
  left: 3.8vw;
  /* right: 7vw; */
  /* bottom: 15vh; */
  /* bottom: 10vh; */
  /* left: 7vw; */
  /* background-color:rgba(0, 0, 0, 0.93); */
  background-color:rgba(0, 0, 0, 0.85);
  /* background-color:red; */
  /* border: 3px solid #999999; */
  /* border-radius: 7px 7px 7px 7px; */
  /* border-top: 3px solid #999999; */
  /* border-right: 3px solid #999999; */
  /* border-right: 1px solid rgba(227, 227, 227, 0.80); */
  /* border-bottom: 3px solid #999999; */
  /* border-left: 3px solid #999999; */
  /* border-left: 1px solid rgba(227, 227, 227, 0.80); */
  overflow-x: hidden;
  overflow-y: auto;
  transition: all 0.2s ease-in-out;
  transform: scale(0);
  z-index: 990;
}
.nav-wrapper {
  position: relative;
  overflow: hidden;
  overflow-y: auto;
  height: 100%;
}
nav {
  text-align: left;
  margin-left: 5vw;
  margin-right: 5vw;
  margin-bottom: 5vh;
}
nav a {
  position: relative;
  text-decoration: none;
  color: white !important;
  /* font-size: 2em; */
  font-size: calc(18px + 0.390625vw);
  display: inline-block;
  margin-top: 1.25em;
  transition: color 0.2s ease-in-out;
  letter-spacing: 1px;
}
nav a:before {
  content: '';
  height: 0;
  position: absolute;
  width: 0.25em;
  /* background-color: white; */
  /* this is the bar to the left of the <a> tag on hover */
  background-color: red;
  left: -0.5em;
  transition: all 0.2s ease-in-out;
}
nav a::after {
  content: ' 'attr(data-prim) attr(data-sec) ' ';
  /* font-size: 20px; */
  font-size: calc(15px + 0.390625vw);
  font-style: italic;
  color: gray;
}
nav a:hover {
  /* color: white !important; */
  color: silver !important;
}
nav a:hover:before {
  height: 100%;
}

/* ----------------- KsK iPhone SE ---------------- */

/* Portrait and Landscape */
@media only screen
  and (min-device-width: 375px)
  and (max-device-width: 667px)
  and (-webkit-min-device-pixel-ratio: 2) {
  .nav {
  position: fixed;
  top: 1.5vh !important;
  right: 2.0vw;
  margin-top: 27px;
  margin-right: 1px;
  margin-bottom: 27px;
  margin-left: 1px;
  bottom: 1.5vh;
  left: 2.0vw;
    }
}

/* ----------- iPad Pro 12.9" ----------- */
/* ------------- Safari 11+ ------------- */
/* ------ Portrait and Landscape -------- */
@media only screen
  and (min-device-width: 1024px)
  and (max-device-width: 1366px)
  and (-webkit-min-device-pixel-ratio: 2) {
.nav {
  position: fixed;
  /* top: 14vh !important; */
  /* top: 13.00vh !important; */
  /* right: 7vw; */
  /* bottom: 15vh; */
  /* bottom: 10vh; */
  /* bottom: 9.95vh; */
  /* bottom: 9.10vh; */
  /* bottom: 99vh-100px; */ 
  /* margin-bottom: -2px; */
  /* margin-top: 12px; */
  /* margin-bottom: 12px; */
  /* left: 7vw; */
  background-color:rgba(0, 0, 0, 0.93);
  /* border-top: 3px solid #999999; */
  /* border-bottom: 3px solid #999999; */
  overflow-x: hidden;
  overflow-y: auto;
  transition: all 0.2s ease-in-out;
  transform: scale(0);
  z-index: 995;
}
}

/* 
@media (max-width:667px) {
.nav {
      border-top: 3px solid #999999;
      border-bottom: 3px solid #999999;
      border-radius: 7px 7px 7px 7px;
      top: 14vh !important;
      bottom: 10vh;
     }
}
*/

/**
Animations
**/

#toggle:checked + .hamburger .top-bun {
  transform: rotate(-45deg);
  margin-top: 25px;
}
#toggle:checked + .hamburger .bottom-bun {
  opacity: 0;
  transform: rotate(45deg);
}
#toggle:checked + .hamburger .meat {
  transform: rotate(45deg);
  margin-top: -4px;
}

#toggle:checked + .hamburger + .nav {
  top: 0;
  transform: scale(1);
}

